# Non-Commercial Public Use License (NCPUL) v1.3

**Preamble**  
The intent of this license is to allow anyone to use, modify, and share the licensed software freely for **non-commercial purposes**, while expressly permitting voluntary, non‑required support (e.g. tips or donations) provided that the Software remains freely accessible to all. Commercial or monetized use remains disallowed under this License unless a separate license is obtained from the Licensor.

---

## 1. Definitions

1. **“Software”** means the program, source code, documentation, or other works licensed under these terms, including any portion of it.  
2. **“Licensor”** means the copyright holder(s) who are licensing the Software under these terms.  
3. **“Licensee” or “You”** means an individual or legal entity exercising rights under this License.  
4. **“Commercial Use”** means any use, distribution, or provision of the Software (or any work based on the Software), in whole or in part, that is intended for or directed toward **commercial advantage, monetary compensation, or any form of revenue generation**. This includes, but is not limited to:  
   - Selling the Software, or licensing it to others for a fee.  
   - Using the Software as part of a product or system that is sold, licensed, or otherwise commercialized.  
   - Deployment or use of the Software in a business environment that supports profit-generating activities.  
5. **“Non-Commercial Use”** means any use of the Software **that is not a Commercial Use**, including (without limitation) personal projects, educational or academic research, or charitable activities by a non-profit organization. This also expressly includes voluntary, non‑required support (e.g. tips or donations) provided that the Software remains freely accessible to all
6. **“Derivative Work”** means any modification, adaptation, improvement, translation, or other work based on or derived from the Software.

---

## 2. Grant of License (Non-Commercial Use Only)

Subject to the terms and conditions of this License, the Licensor hereby grants You a worldwide, royalty-free, non-exclusive license to:

- **(a)** Use and run the Software on any number of systems, **solely for Non-Commercial Use**.  
- **(b)** Copy and distribute the Software, in original or modified form, **solely for Non-Commercial Use**, provided that you meet the conditions in Section 3.  
- **(c)** Create Derivative Works of the Software and use them **for Non-Commercial Use**, and distribute such Derivative Works under the conditions of Section 3.

All rights granted herein are conditional on the use being Non-Commercial. **Any Commercial Use of the Software is NOT permitted by this License.** All rights not expressly granted are reserved by the Licensor, including the exclusive right to commercially exploit the Software.

---

## 3. Conditions for Redistribution and Modification

If You distribute or share the Software, or any Derivative Work, with any other party (with or without modifications), You must:

1. **Include This License.** Provide a copy of this NCPUL (v1.3) with the Software or Derivative Work, and ensure that any recipient understands that the work is provided under these Non-Commercial terms.  
2. **Retain Notices.** Keep all copyright, author, and license notices intact. Do not remove or alter any text referring to this Non-Commercial Public Use License.  
3. **Apply the Same Terms.** Any Derivative Work You distribute must be licensed under this same License (NCPUL) or terms no less restrictive. You may not relicense a Derivative Work under any license permitting commercial use.  
4. **Attribution (Optional).** You may include an attribution requirement here if desired, for example: “Any public distribution of this Software or a Derivative Work must give credit to the original author(s) in a manner reasonable to the medium, without implying endorsement.”

---

## 4. Prohibited Uses

You **cannot**:

1. Use the Software or any Derivative Work in any manner primarily intended for or directed toward **commercial advantage, profit, or monetary compensation**.  
2. Monetize the Software, in whole or in part, including any indirect revenue generation such as paywalls, in-app purchases, or ads (excluding voluntary support as described in 1.5) .
3. Sell, license, or otherwise commercialize the Software as a product or service.  
4. Provide the Software to a third party for the purpose of commercial exploitation.  
5. Attempt to circumvent the Non-Commercial restriction through indirect means.

**Commercial Use** requires a separate, explicit license from the Licensor.

---

## 5. Disclaimer of Warranty

**THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND**, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NONINFRINGEMENT. IN NO EVENT SHALL THE LICENSOR OR ANY CONTRIBUTORS BE LIABLE FOR ANY CLAIM, DAMAGES, OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT, OR OTHERWISE, ARISING FROM, OUT OF, OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

---

## 6. Termination

This License is effective until terminated. **If You violate any term of this License,** your rights under it automatically terminate. Upon termination, You must cease all use, copying, and distribution of the Software and any Derivative Works. The Licensor may, at its sole discretion, offer reinstatement of this License if the violation is cured within a reasonable time.

---

## 7. Governing Law

This License shall be governed by and construed in accordance with the laws of the Federal Republic of Germany. Any disputes arising from this License shall be resolved in the courts of Germany.

---

**End of Non-Commercial Public Use License (NCPUL) v1.3**
